import machine, utime

sensor_temp=machine.ADC(machine.ADC.CORE_TEMP)
conversion_factor=3.3/(1<<16)
file = open("temperatures.txt", "w")

while True:
    reading = sensor_temp.read_u16()*conversion_factor
    temperature=round(30-(reading-0.71)/0.0017,1)
    print(temperature)
    file.write(str(temperature)+ "\n")
    file.flush()
    utime.sleep(1)
